<html>
<head>
<title>OgreD3D11RenderWindow.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_0a2df88393729a3f182c00116937c948.html">Direct3D11</a>      </li>
      <li class="navelem"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D11RenderWindow.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D11RenderWindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
<a name="l00002"></a>00002 <span class="comment">/*</span>
<a name="l00003"></a>00003 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00004"></a>00004 <span class="comment">This source file is part of OGRE</span>
<a name="l00005"></a>00005 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00006"></a>00006 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00007"></a>00007 <span class="comment"></span>
<a name="l00008"></a>00008 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00011"></a>00011 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00012"></a>00012 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00013"></a>00013 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00014"></a>00014 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00015"></a>00015 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00016"></a>00016 <span class="comment"></span>
<a name="l00017"></a>00017 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00018"></a>00018 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00019"></a>00019 <span class="comment"></span>
<a name="l00020"></a>00020 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00021"></a>00021 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00022"></a>00022 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00023"></a>00023 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00024"></a>00024 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00025"></a>00025 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00026"></a>00026 <span class="comment">THE SOFTWARE.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __D3D11RENDERWINDOW_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __D3D11RENDERWINDOW_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D11Prerequisites_8h.html">OgreD3D11Prerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderWindow_8h.html">OgreRenderWindow.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre 
<a name="l00037"></a>00037 {
<a name="l00038"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html">00038</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1D3D11RenderWindow.html">D3D11RenderWindow</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>
<a name="l00039"></a>00039     {
<a name="l00040"></a>00040     <span class="keyword">public</span>:
<a name="l00047"></a>00047         <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a137241bd103938fda767781588014368" title="Constructor.">D3D11RenderWindow</a>(HINSTANCE instance, <a class="code" href="classOgre_1_1D3D11Device.html">D3D11Device</a> &amp; device, IDXGIFactory1*  pDXGIFactory);
<a name="l00048"></a>00048         <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a58c866a19f6cedc21e6fda8d4e1fae55">~D3D11RenderWindow</a>();
<a name="l00049"></a>00049         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a639aeac29fe5831c94c0be2072b19c70" title="Creates &amp; displays the new window.">create</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00050"></a>00050             <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams);
<a name="l00051"></a>00051         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#ae2d401980c74142f74355920ae399625" title="Alter fullscreen mode options.">setFullscreen</a>(<span class="keywordtype">bool</span> fullScreen, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);
<a name="l00052"></a>00052         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a911968467825edaa98b477b85b00c699" title="Destroys the window.">destroy</a>(<span class="keywordtype">void</span>);
<a name="l00053"></a>00053         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a90e050398b8cd119094a747c2462d77e" title="Indicates whether the window is visible (not minimized or obscured)">isVisible</a>() <span class="keyword">const</span>;
<a name="l00054"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#aa2d38e7bec68ba5af26fdcd79af5e55e">00054</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#aa2d38e7bec68ba5af26fdcd79af5e55e" title="Indicates whether the window has been closed by the user.">isClosed</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a19a86cc39f92ed3131d51cfd68fe20f6">mClosed</a>; }
<a name="l00055"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a7fba3b6052ce64df63ae3d471fe6954a">00055</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a7fba3b6052ce64df63ae3d471fe6954a" title="Indicates whether the window was set to hidden (not displayed)">isHidden</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a5205dc847629c3502fe0ff5afeaae0c5">mHidden</a>; }
<a name="l00056"></a>00056         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a5a40e32a767c487d13c9fb2797f2e5c8" title="Hide (or show) the window.">setHidden</a>(<span class="keywordtype">bool</span> hidden);
<a name="l00057"></a>00057         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#aa3b45d4013e14fb54f55f762fbee9007" title="Reposition the window.">reposition</a>(<span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top);
<a name="l00058"></a>00058         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a885abfbfa60a6e6dd28003112d00108b" title="Alter the size of the window.">resize</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);
<a name="l00059"></a>00059         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a5976262ee7153530a77df36c30f52439" title="Swaps the frame buffers to display the next frame.">swapBuffers</a>( <span class="keywordtype">bool</span> waitForVSync = <span class="keyword">true</span> );
<a name="l00060"></a>00060         HWND <a class="code" href="classOgre_1_1D3D11RenderWindow.html#ad398250ed3d1163fab0014e5e54f15c1">getWindowHandle</a>() <span class="keyword">const</span>;
<a name="l00061"></a>00061 
<a name="l00062"></a>00062         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a4198061e008406ebec1d0908c4170fdf" title="Gets a custom (maybe platform-specific) attribute.">getCustomAttribute</a>( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">void</span>* pData );
<a name="l00065"></a>00065         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a535d898a687301583b686120d470969e" title="Overridden - see RenderTarget.">copyContentsToMemory</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;dst, <a class="code" href="classOgre_1_1RenderTarget.html#a4b42772d32712767391c749f4745397a">FrameBuffer</a> buffer);
<a name="l00066"></a>00066         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#aa9562c3360782b4a3bef71ade2391a3d">requiresTextureFlipping</a>() <span class="keyword">const</span>;
<a name="l00067"></a>00067 
<a name="l00068"></a>00068         <span class="comment">// Method for dealing with resize / move &amp; 3d library</span>
<a name="l00069"></a>00069         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a353d23d80244a285d2076ce5e7cb988c" title="Notify that the window has been resized.">windowMovedOrResized</a>();
<a name="l00070"></a>00070 
<a name="l00072"></a>00072         DXGI_SWAP_CHAIN_DESC* <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a75254f84feafae24fd840533ddf65583" title="Get the presentation parameters used with this window.">getPresentationParameters</a>(<span class="keywordtype">void</span>);
<a name="l00073"></a>00073 
<a name="l00075"></a>00075         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a9d7833ba44f0ef4f51d80562adf50687">update</a>(<span class="keywordtype">bool</span> <a class="code" href="namespacestd.html#ac0f5c834836c0f5a4602cff74511d272" title="Implement std::swap in terms of SmallVector swap.">swap</a>);
<a name="l00076"></a>00076 
<a name="l00079"></a>00079         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#af566f872acc04e7c4c3ea91faf912b32" title="Create (or recreate) the D3D device or SwapChain for this window.">createD3DResources</a>();
<a name="l00080"></a>00080 
<a name="l00083"></a>00083         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#ac5d3dd90610ad1d325fda6358ec86eac" title="Destroy the D3D device or SwapChain for this window.">destroyD3DResources</a>();
<a name="l00084"></a>00084 
<a name="l00086"></a>00086         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a347b998d05d97fa2ca0d086def275ec5" title="Are we in the middle of switching between fullscreen and windowed.">_getSwitchingFullscreen</a>() <span class="keyword">const</span>;
<a name="l00088"></a>00088         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#ad1d488ee8913fd60039f85409afc6662" title="Indicate that fullscreen / windowed switching has finished.">_finishSwitchingFullscreen</a>();
<a name="l00089"></a>00089 
<a name="l00090"></a>00090 
<a name="l00091"></a>00091     <span class="keyword">protected</span>:
<a name="l00092"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#ac8423be15645ffc4cdcc2874314107c0">00092</a>         HINSTANCE <a class="code" href="classOgre_1_1D3D11RenderWindow.html#ac8423be15645ffc4cdcc2874314107c0">mInstance</a>;            <span class="comment">// Process instance</span>
<a name="l00093"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#aad8ca364ea7a0773abc15d2cc0b9e670">00093</a>         <a class="code" href="classOgre_1_1D3D11Device.html">D3D11Device</a> &amp; <a class="code" href="classOgre_1_1D3D11RenderWindow.html#aad8ca364ea7a0773abc15d2cc0b9e670">mDevice</a>;          <span class="comment">// D3D11 driver</span>
<a name="l00094"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#ab8ad5b9f6530d75ea6681c8c0f07c0b3">00094</a>         IDXGIFactory1*  <a class="code" href="classOgre_1_1D3D11RenderWindow.html#ab8ad5b9f6530d75ea6681c8c0f07c0b3">mpDXGIFactory</a>;
<a name="l00095"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a8749d4a2f4a6f82de9662772b250802f">00095</a>         HWND    <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a8749d4a2f4a6f82de9662772b250802f">mHWnd</a>;                  <span class="comment">// Win32 Window handle</span>
<a name="l00096"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#aa593088325ca62f40be549b5653e3d66">00096</a>         <span class="keywordtype">bool</span>    <a class="code" href="classOgre_1_1D3D11RenderWindow.html#aa593088325ca62f40be549b5653e3d66">mIsExternal</a>;            <span class="comment">// window not created by Ogre</span>
<a name="l00097"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a206b42b2eec078a04f7a25f1a4457596">00097</a>         <span class="keywordtype">bool</span>    <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a206b42b2eec078a04f7a25f1a4457596">mSizing</a>;
<a name="l00098"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a19a86cc39f92ed3131d51cfd68fe20f6">00098</a>         <span class="keywordtype">bool</span>    <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a19a86cc39f92ed3131d51cfd68fe20f6">mClosed</a>;
<a name="l00099"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a5205dc847629c3502fe0ff5afeaae0c5">00099</a>         <span class="keywordtype">bool</span>    <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a5205dc847629c3502fe0ff5afeaae0c5">mHidden</a>;
<a name="l00100"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#add2047d5c48214939c4df37dfa15c5c7">00100</a>         <span class="keywordtype">bool</span>    <a class="code" href="classOgre_1_1D3D11RenderWindow.html#add2047d5c48214939c4df37dfa15c5c7">mIsSwapChain</a>;           <span class="comment">// Is this a secondary window?</span>
<a name="l00101"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#acfa6bf860c694c4dece2b7e9998b1ae0">00101</a>         <span class="keywordtype">bool</span>    <a class="code" href="classOgre_1_1D3D11RenderWindow.html#acfa6bf860c694c4dece2b7e9998b1ae0">mSwitchingFullscreen</a>;   <span class="comment">// Are we switching from fullscreen to windowed or vice versa</span>
<a name="l00102"></a>00102 
<a name="l00103"></a>00103         <span class="comment">// -------------------------------------------------------</span>
<a name="l00104"></a>00104         <span class="comment">// DirectX-specific</span>
<a name="l00105"></a>00105         <span class="comment">// -------------------------------------------------------</span>
<a name="l00106"></a>00106 
<a name="l00107"></a>00107         <span class="comment">// Pointer to swap chain, only valid if mIsSwapChain</span>
<a name="l00108"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a1f76f85701c52b1e5df25ae17cb18cfe">00108</a>         IDXGISwapChain * <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a1f76f85701c52b1e5df25ae17cb18cfe">mpSwapChain</a>;
<a name="l00109"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a92011ba5b54be63385a0387a52c33704">00109</a>         DXGI_SWAP_CHAIN_DESC <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a92011ba5b54be63385a0387a52c33704">md3dpp</a>;
<a name="l00110"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a4611dc8ab8539abdc0e7ceb4d91cd389">00110</a>         DXGI_SAMPLE_DESC <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a4611dc8ab8539abdc0e7ceb4d91cd389">mFSAAType</a>;
<a name="l00111"></a>00111         <span class="comment">//DWORD mFSAAQuality;</span>
<a name="l00112"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#ace2e85f4a01b8cd4b879dc9dd869113c">00112</a>         UINT <a class="code" href="classOgre_1_1D3D11RenderWindow.html#ace2e85f4a01b8cd4b879dc9dd869113c">mDisplayFrequency</a>;
<a name="l00113"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a360d533f64ba66115365ccf33640eb9a">00113</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a360d533f64ba66115365ccf33640eb9a">mVSync</a>;
<a name="l00114"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a04f2b763a4e2c0860af6808fda288ba1">00114</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a04f2b763a4e2c0860af6808fda288ba1">mVSyncInterval</a>;
<a name="l00115"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#af0aa9f17ba8735ae6255a77fe1d609cd">00115</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#af0aa9f17ba8735ae6255a77fe1d609cd">mUseNVPerfHUD</a>;
<a name="l00116"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a08a3885b202f3d767a43e95ae134382d">00116</a>         ID3D11RenderTargetView*     <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a08a3885b202f3d767a43e95ae134382d">mRenderTargetView</a>;
<a name="l00117"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a10ece75b667655298c78296f7204b59c">00117</a>         ID3D11DepthStencilView*     <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a10ece75b667655298c78296f7204b59c">mDepthStencilView</a>;
<a name="l00118"></a><a class="code" href="classOgre_1_1D3D11RenderWindow.html#a360769b01d351e0a3b18dc2afc8852ba">00118</a>         ID3D11Texture2D*            <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a360769b01d351e0a3b18dc2afc8852ba">mpBackBuffer</a>;
<a name="l00119"></a>00119 
<a name="l00120"></a>00120         <span class="comment">// just check if the multisampling requested is supported by the device</span>
<a name="l00121"></a>00121         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11RenderWindow.html#a326fe5a32f111b7c3dd4e32c7d2fa35e">_checkMultiSampleQuality</a>(UINT SampleCount, UINT *outQuality, DXGI_FORMAT format);
<a name="l00122"></a>00122 
<a name="l00123"></a>00123     };
<a name="l00124"></a>00124 }
<a name="l00125"></a>00125 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
